- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# alphabet_traits Struct Template Reference
[Alphabet]

Trait for virtual types of structural elements for alphabets. More...

List of all members.

## Public Types
typedef undefined_type | letter_t
| The type of letters in any alphabet.
## Static Public Attributes
static const bool | dynamic_data = false
| Whether an alphabet contains dynamic data.

## Detailed Description

### template<typename S, typename T>
struct vcsn::algebra::alphabet_traits< S, T >

Trait for virtual types of structural elements for alphabets.

Contains a definition of `letter_t`, the type of any letter in an alphabet. It should be specialized for all derived structures.

Definition at line 75 of file alphabets_base.hh.